# asSubscriber

Integration with Reactive Streams, materializes into a `org.reactivestreams.Subscriber`.

@ref[Source operators](../index.md#source-operators)

@@@ div { .group-scala }
## Signature

@@signature [Source.scala](/akka-stream/src/main/scala/akka/stream/scaladsl/Source.scala) { #asSubscriber }
@@@

## Description

TODO: We would welcome help on contributing descriptions and examples, see: https://github.com/akka/akka/issues/25646
